#include "config.h"

#include <cache/cache.h>

#include "vcc_objesi_if.h"
//#include "vrt.h"
#include "vcl.h"

VCL_BOOL
vmod_is_esi(VRT_CTX)
{
	struct req *req;

	CHECK_OBJ_NOTNULL(ctx, VRT_CTX_MAGIC);

	assert(ctx->method == VCL_MET_DELIVER);
	req = ctx->req;
	CHECK_OBJ_NOTNULL(req, REQ_MAGIC);

	if (!ctx->req->disable_esi &&
	    ObjGetLen(req->wrk, req->objcore) > 0 &&
	    ObjHasAttr(req->wrk, req->objcore, OA_ESIDATA))
		return (1);

	return (0);
}
